るりまサーチ

最速Rubyリファレンスマニュアル検索!
435件ヒット [1-100件を表示] (0.014秒)
トップページ > クエリ:NameError[x]

別のキーワード

  1. _builtin nameerror
  2. nameerror new
  3. nameerror name
  4. nameerror to_s
  5. openssl nameerror

ライブラリ

クラス

モジュール

オブジェクト

検索結果

<< 1 2 3 ... > >>

NameError (38006.0)

未定義のローカル変数や定数を使用したときに発生します。

...未定義のローカル変数や定数を使用したときに発生します。

例:

bar
# => NameError: undefined local variable or method `bar' for main:Object...

NameError.new(error_message = "", name = nil) -> NameError (21114.0)

例外オブジェクトを生成して返します。

...ssage エラーメッセージを表す文字列です

@param name 未定義だったシンボルです

@param receiver 原因となったメソッド呼び出しのレシーバです

例:

err = NameError.new("message", "foo")
p err # => #<NameError: message>
p err.name # => "foo"...

NameError.new(error_message = "", name = nil, receiver:) -> NameError (21114.0)

例外オブジェクトを生成して返します。

...ssage エラーメッセージを表す文字列です

@param name 未定義だったシンボルです

@param receiver 原因となったメソッド呼び出しのレシーバです

例:

err = NameError.new("message", "foo")
p err # => #<NameError: message>
p err.name # => "foo"...

NameError.new(error_message = "", name = nil) -> NameError (21113.0)

例外オブジェクトを生成して返します。

...sage エラーメッセージを表す文字列です

@param name 未定義だったシンボルです


例:

err = NameError.new("message", "foo")
p err # => #<NameError: message>
p err.name # => "foo"...

NameError#name -> Symbol (21012.0)

この例外オブジェクトを発生させる原因となった 変数や定数、メソッドの名前をシンボルで返します。

...クトを発生させる原因となった
変数や定数、メソッドの名前をシンボルで返します。

例:

begin
foobar
rescue NameError => err
p err # => #<NameError: undefined local variable or method `foobar' for main:Object>
p err.name # => :foobar
end...

絞り込み条件を変える

NameError#to_s -> String (21012.0)

例外オブジェクトを文字列に変換して返します。

...例外オブジェクトを文字列に変換して返します。

例:

begin
foobar
rescue NameError => err
p err # => #<NameError: undefined local variable or method `foobar' for main:Object>
p err.to_s # => "undefined local variable or method `foobar' for main:Object"...

NameError#local_variables -> [Symbol] (21006.0)

self が発生した時に定義されていたローカル変数名の一覧を返します。

...発生した時に定義されていたローカル変数名の一覧を返します。

内部での使用に限ります。

例:

def foo
begin
b = "bar"
c = 123
d
rescue NameError => err
p err.local_variables #=> [:b, :c, :err]
end
end

a = "buz"
foo...

NameError#receiver -> object (21006.0)

self が発生した時のレシーバオブジェクトを返します。

...lf が発生した時のレシーバオブジェクトを返します。

例:

class Sample
def foo
return "foo"
end
end

bar = Sample.new
begin
bar.bar
rescue NameError => err
p err.receiver # => #<Sample:0x007fd4d89b3110>
p err.receiver.foo # => "foo"
end...

OpenSSL::X509::NameError (18000.0)

OpenSSL::X509::Name 固有のエラーの場合に発生する例外です。

OpenSSL::X509::Name 固有のエラーの場合に発生する例外です。

1.6.8から1.8.0への変更点(まとめ) (60.0)

1.6.8から1.8.0への変更点(まとめ) * ((<1.6.8から1.8.0への変更点(まとめ)/インタプリタの変更>)) * ((<1.6.8から1.8.0への変更点(まとめ)/追加されたクラス/モジュール>)) * ((<1.6.8から1.8.0への変更点(まとめ)/追加されたメソッド>)) * ((<1.6.8から1.8.0への変更点(まとめ)/追加された定数>)) * ((<1.6.8から1.8.0への変更点(まとめ)/拡張されたクラス/メソッド(互換性のある変更)>)) * ((<1.6.8から1.8.0への変更点(まとめ)/変更されたクラス/メソッド(互換性のない変更)>)) * ((<1.6.8から1.8.0への変更点(まとめ)/文法の変更>)) * ((<1.6.8から1.8.0への変更点(まとめ)/正規表現>)) * ((<1.6.8から1.8.0への変更点(まとめ)/Marshal>)) * ((<1.6.8から1.8.0への変更点(まとめ)/Windows 対応>)) * ((<1.6.8から1.8.0への変更点(まとめ)/廃止された(される予定の)機能>)) * ((<1.6.8から1.8.0への変更点(まとめ)/ライブラリ>)) * ((<1.6.8から1.8.0への変更点(まとめ)/拡張ライブラリAPI>)) * ((<1.6.8から1.8.0への変更点(まとめ)/バグ修正>)) * ((<1.6.8から1.8.0への変更点(まとめ)/サポートプラットフォームの追加>))

...りました。
((<ruby-core:00927>))


: ((<NameError>)) & ((<NoMethodError>)) [change]

NameError
を StandardError のサブクラスに戻しました。
クラス階層は以下のようになりました。

NoMethodError < NameError < StandardError.

: ((<Interrupt>))...
...ていない定数を使用したときに const_missing という名のメソッドを
呼ぶようになりました。デフォルトでは NameError 例外を発生させます。
((<ruby-core:00441>))

: ((<Module#private_method_defined?|Module/private_method_defined?>)) [new]
: ((<Module...
...odule#method_removed|Module/method_removed>)) [new]
: ((<Module#method_undefined|Module/method_undefined>)) [new]

追加

=== NameError

: ((<NameError#name|NameError/name>)) [new]

追加

=== NilClass

: ((<NilClass#to_f|NilClass/to_f>)) [new]

追加

=== Numeric

: ((<Num...

絞り込み条件を変える

ruby 1.6 feature (36.0)

ruby 1.6 feature ruby version 1.6 は安定版です。この版での変更はバグ修正がメイン になります。

...WOULDBLOCK

=> ruby 1.6.8 (2002-12-24) [i586-linux]
Errno::EAGAIN
-:2: uninitialized constant EWOULDBLOCK at Errno (NameError)

=> ruby 1.6.8 (2003-02-13) [i586-linux]
Errno::EAGAIN
Errno::EAGAIN

== 1.6.7 (2002-03-01) -> 1.6.8 (2002-12-24)...
...form.

: 2002-04-10: Object#((<Object/remove_instance_variable>))

指定したインスタンス変数が定義されていない場合例外 NameError を起こ
すようになりました。((<ruby-bugs-ja:PR#216>))

Object.new.instance_eval {
p remove_instance_variable :@f...
...=> ruby 1.6.7 (2002-03-01) [i586-linux]
nil

=> -:2:in `remove_instance_variable': instance variable @foo not defined (NameError)
ruby 1.6.7 (2002-04-10) [i586-linux]

: 2002-04-04: Integer#((<Integer/step>))

第二引数が 1 よりも小さい場合に 0...

Kernel.#fail -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...します。

例外の捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "err...

Kernel.#fail(error_type, message = nil, backtrace = caller(0), cause: $!) -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...します。

例外の捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "err...

Kernel.#fail(message, cause: $!) -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...します。

例外の捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "err...

Kernel.#raise -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...します。

例外の捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "err...

絞り込み条件を変える

Kernel.#raise(error_type, message = nil, backtrace = caller(0), cause: $!) -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...します。

例外の捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "err...

Kernel.#raise(message, cause: $!) -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...します。

例外の捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "err...

Module#const_get(name, inherit = true) -> object (18.0)

name で指定される名前の定数の値を取り出します。

...を指定するとスーパークラスや include したモジュールで
定義された定数は対象にはなりません。

@raise NameError 定数が定義されていないときに発生します。

module Bar
BAR = 1
end
class Object
include Bar
end
# Object で...
...定義されていない定数
p Baz.const_get(:NOT_DEFINED) #=> raise NameError
# 第二引数に false を指定すると自分自身に定義された定数から探す
p Baz.const_get(:BAR, false) #=> raise NameError
# 完全修飾名を指定すると include や自分自身へ定義...

NEWS for Ruby 2.3.0 (18.0)

NEWS for Ruby 2.3.0 このドキュメントは前回リリース以降のバグ修正を除くユーザーに影響のある機能の変更のリストです。

...}
* 属性値の代入にも使えます
//emlist{
obj&.attr += 1
//}

* did_you_mean gem:
* 名前のタイポによって NameError や NoMethodError が起きたときに、自動的に他の似た名前を提案してくれます。
//emlist{
"Yuki".starts_with?("Y")...
...価した要素を返します。
11498

* Module
* Module#deprecate_constant を追加
11398

* NameError
* レシーバーオブジェクトを返す NameError#receiver を追加
10881

* Numeric
* Numeric#positive?, Numeric#negative? を追加
11151

*...

Ruby プログラムの実行 (18.0)

Ruby プログラムの実行 === Ruby プログラム

...て引数式を左から右の順番で評価し、レシーバに対してメソッドの検索を
行います。検索が失敗したら例外 NameError を発生、成功したらメソッ
ドを実行します。

またメソッドを実行する際にはブロックを与えることが可能...
...それを self への(引数のない)メソッド呼び出しに解釈しようと
します。メソッドの探索にも失敗したら例外 NameError を発生します。

呼び出しブロックの実行にあたっては、ブロックが引数をとることができま
すが、これは...
...けから代入、参照できま
す。定義は最初の代入によって行います。未定義のクラス変数を参照すると例
NameError が発生します。

クラス変数の継承と「継承止め」

==== グローバル変数

グローバル変数は全ての場所から代...

絞り込み条件を変える

<< 1 2 3 ... > >>